software-properties-gtk produces trace back

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

software-properties-gtk produces trace back

robert rottermann
friends

after fiddling around with my groovy installation, software-properties-gtk
produces a trace back.

apt install --reinstall software-properties-gtk

did not help.

Can you please give me advice?

thanks

robert


root@kappi3:/home/robert# software-properties-gtk
Traceback (most recent call last):
   File "/usr/lib/python3/dist-packages/dbus/bus.py", line 177, in
activate_name_owner
     return self.get_name_owner(bus_name)
   File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
     return self.call_blocking(BUS_DAEMON_NAME, BUS_DAEMON_PATH,
   File "/usr/lib/python3/dist-packages/dbus/connection.py", line 652, in
call_blocking
     reply_message = self.send_message_with_reply_and_block(
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could
not get owner of name 'com.ubuntu.SoftwareProperties': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
   File "/usr/bin/software-properties-gtk", line 100, in <module>
     app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options,
file=file)
   File
"/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py",
line 197, in __init__
     proxy = bus.get_object("com.ubuntu.SoftwareProperties", "/")
   File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
     return self.ProxyObjectClass(self, bus_name, object_path,
   File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 250, in __init__
     self._named_service = conn.activate_name_owner(bus_name)
   File "/usr/lib/python3/dist-packages/dbus/bus.py", line 182, in
activate_name_owner
     self.start_service_by_name(bus_name)
   File "/usr/lib/python3/dist-packages/dbus/bus.py", line 277, in
start_service_by_name
     return (True, self.call_blocking(BUS_DAEMON_NAME, BUS_DAEMON_PATH,
   File "/usr/lib/python3/dist-packages/dbus/connection.py", line 652, in
call_blocking
     reply_message = self.send_message_with_reply_and_block(
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited:
Launch helper exited with unknown return code 1
root@kappi3:/home/robert#


--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users